---
title: "Oppsumering av MFEL3010"
description: "Det meste du trenger å vite om MFEL3010, høsten 2020."
date: 2020-11-24
---

## Celler, vev og organer

Du er laget av mange milioner av celler.



### Celler

![Celler](figures/cellInBody.png)

Cellene er definert av deres membraner.
Denne er laget av fett, og er derfor ikke vannløselig

#### Nukleus

Stort sett allt DNAet er lokaslisert her

* Celler: 10-50micro meter
* Kromosoner: 2n
* DNA: 2m
* Orgaiske basepar: 3000 millioner

#### DNA

Består av basepar, disse er komplimentære

* Thymine - Adenine
* Guanine - Cytosine

Covalent bonding

Siden de er komplimentære, deles DNA i to, og kan replikeres. 
Ene halvdelen heter RNA.

Flere faser:
1. G1 - Normal
2. S - DNA replikeres
3. G2 - Normal
4. Celledeling

DNA er pakket sammen i kromosomer.

46 kromosomer:
* 23 fra spermcellen
* 23 fra eggcellen
* 44 somatiske
* 2 sex kromosomer
  * Bestemmer kjønnet
  * Xy er mann, XX er kvinne


#### Celledeling

![Celledeling](figures/celledeling.png)

Brukes for å holde informasjon vedlike


#### Mutasjoner

Kan skje ved celledeling. Kan hande at den begynner å produsere et ødelagt protein, eller ikke noe protein.

Dersom DNA er ødelagt nok, kan det skje sykdommer, feks. kreft.


#### Befruktning

Meiose

#### Protein syntese

DNA deles opp i RNA, og dette leses av et enzym og danner en aminosyre som brukes til å lage et protein.

mRNA taes ut av nukleusen, for å lage proteiner.

#### Aminosyrer

Finnes 21 aminosyrer.
Alle har samme enkle struktur.

9 av syrene må vi mennesker få i oss gjennom kostholdet vårt, resten kan lages i kroppen.

Har Peptide bindinger, kovalente bindinger. Når to aminosyrer kobles sammen, får vi en lengere sekvens og et vannmolekyl.

#### Gener

De funksjonelle bitene av DNA.

Hvert gen har "oppskriften" på ish et protein.

#### Ribosomer

Består av protein og RNA. Kobler seg på mRNA.
Det er ribosomene som lager proteinet.

Samler inn tRNA som kobler seg på mRNA, og danner et protein.

![Ribosomer](figures/ribosom.png)

#### tRNA

Sitter på enden av aminosyrene og bidrar til å lage et protein.

Er like mange tRNA typer som det er kombinasjoner av tre baser, som er 4^3 = 64.

Dette skjer inne i et ribosom.

#### Virus

En "pakke" med genetisk materiale, som kommer seg inn i en celle og bruker den til å lage kopier av seg selv.

* DNA virus - Replication -> transcription -> Translation
* RNA virus - Replication -> Translation
* Retrovirus - Reverse Transcription -> Replication -> Transcription -> Translation

#### Mutator gener

Kan reparere DNA eller fjerne uønskede mutasjoner.

Enten ved å fikse DNA eller ødelegge cellen. 

![Mutator gener](figures/mutatorGenes.png)


#### Proteinstruktur

Primærstruktur, er bare en rekke aminosyrer.

Sekundærstrukturen er enten en helix eller "flate", bygget opp med hydrogen.

Tertiary er bøying og bretting

Quaternary er å koble med fler molekyler.

#### Proteins funksjon

* Struktur
* Transport/lagring
* Hormoner
* Contractile
* Antistoffer
* Enzymer
* Genregulering
* Receptor

#### Organeller

Små strukturer med spesifikke funksjoner.

De fleste har en membran for å skille seg fra cytoplasmaen.

#### Mitokondrier

Primære energikilden til cellen. Inneholder eget DNA.

![Mitokondrie](figures/mitokondrie.png)

Genererer Pyruvate fra glukose. Lager også 2 ATP.
Dersom vi videre kombinerer 2 oksygen med 2 pyruvate får vi 38 ATP.
 


#### ATP

Den primære energibæreren.

Blir til ADP når ATP er brukt.

Kan lage ATP fra glukose, per glukose får vi to ATP.

* Anarobisk - trenger ikke oksygen, lager ikke veldig mye ATP
* Arobisk	- trenger oksygen, men lager mye mer ATP.

#### Cellemembranen

![Cellemembranen](figures/celleMembran.png)

#### Natrium-Kalium-pumpen

En viktig ting er Natrium-Kalium-pumpe, da denne genererer et elektrisk felt mellom utsiden og innsiden av cellen.
Ca 70mV.

![Celle med Natrium-Kalium](figures/celleMedKaliumNatrium.png)

Dette brukes til å sende et elektisk signal via celler.


### Vev

* Ectoderm
  * Hud, og nerver
* Mesoderm
  * Muskler
  * Sjelettet
  * reproduksjon
* Endoderm
  * Innsiden av magen og lignende

### Organer

![Organer i kroppen](figures/oragnsOfTheBody.png)



## Nervesystemet

To hoveddeler:
* Sentralnervesystemet
* Perifirinervesystemet

Sensoser fra muskler, ledd og organer. Sender signaler inn i nervesystemet

Somatiske nervesystemet:
* Det du kan styre selv

Autonome nærvesystemet:
* Det som gjør seg selv, som insulin og pusting.

### Nerveceller

Én hovedfunksjon, lede strøm (signaler) i en retning.

Rundt nervecellene ligger det *myelin*, det øker signalhastighet.

Finnes en sykdom som fjerner myelin, "Multiple sclerosis". 
Dette er en autoimun prosess.

### Dendritter

Mottar signalet fra en annen nervecelle. Ligger på "hodet" i nervecellen.

### Synapser

Koblingen mellom to nerverceller. 
Starter med et signal som beveger seg gjennom cellen.
Synapsen sender ut Ca, som kan binde seg til neste celle. Sender signalet videre.

Signalet overføres med diffusjon. Og transmitterene fjernes enten med enzymer eller bare flyter vekk.

Det finens flere stoffer som kan stimulere eller forhindre synapser:
Feks, nikotin, morfin, nervegass, butolin

### Perifirinerversystemet

Nerveceller kommer ut i fra ryggen, og noe fra hjernen. Disse samler seg raskt, spesielt ved armer og bein. 

Har "sensorer" som kan "lese" omverdenen og hvordan du er.

### Motorenheter

Kan nerveceller kan være koblet til få eller veldig mange muskelceller. 
Kommer ann på hvor fin motorisk det må være.

### Sentralnervesystemet

Grått materiale:
* Stort sett celler
  
Hvitt materiale:
* Stort sett axioner, med myelin, så egentlig bare fett.

![Grått og hvitt materiale](figures/graywhitematerialBrain.png)

Væske for å beskytte hjernen og ryggen.

Ryggen inneholder mye av det autonome nervesystemet.

Høyre hjernedel føler og styrer venstre halvdel av kroppen. Motsatt med venstre halvdel.


### Hjernen

* Cerebrum
  * Cortex
  * Thalamus
  * Basal ganglia/limbic
* Celebellum
* Hjernestammen

![Hjernen](figures/theBrain.png)

#### Cortex 

Sentral for bevisthet, endestoppet for alle sensorsystemer.

Forontallappen:
* Hjem for all logikk
* Intensjoner
* Konsekvenser

Motorområdet:
* Kan bestå av flere deler av hjernen dersom det er komplekst.
* Cerebellum
  * Bruker både innkommende og utgående signaler
  * Koordinasjon

Sensorområdet:
* Thalamus
  * Hovedsenter for sensorer

Limbiske system:
* Eldste systemet
* Følelser
* Regulering av ymse systemer
* Interagerer med det autonome systemet, hormoner, thalamus og minneprosessering.
* Amygdala
  * Raske reaksjoner, før bevistheten tar over.
  * Aggresjon, og andre følelser
  * Sosial aktivitet

#### Hippocampus

Prosessere opplevelser til langtidsminnet.

Minnet:
* Korttidshukommelsen
  * Arbeidsminnet
  * "RAM"
* Langtidshukommelse
  * Deklareringsminnet
    * Ting som kan lagres verbalt
    * Teori
  * Prosedyreminnet
    * Evner
    * Måter å gjøre ting på

## Hjerte og sirkulajson

### Blodet

* Plasma (55%)
  * Vann
  * Elektrolytter
  * Proteiner
* Celler (45%)
  * Hvite
  * Blodplater
  * Røde blodceller

### Hjertet

Blod kommer fra kroppen, inn i høyre atrium, inn i lungene, deretter inn i venstre atrium. Etter dette kommer det friskt blod ut i kroppen.

Slagvolum (SV) = "End diastolic volume" (EDV) - "End systolic volume" (ESV) (ml)

Cardiac output (SV) = SV * Heart rate (HR) (l/min)

Ejection fraction (EF)= SV / EDV (%)

|                     | (3,5-5L/min) | (12-20L/min) |
| Bevegelse av blod   | Hvile        | Trening      |
| :------------------ | -----------: | -----------: |
| Fordøyelse og lever |          24% |           1% |
| Muskler             |          21% |          88% |
| Nyerer              |          19% |           1% |
| Hjerne              |          13% |           3% |
| Hud                 |           8% |           2% |
| Hjerte              |           3% |           4% |

#### Hjertesykel

Systole
* Hjertet trekker seg sammen
* Trykket øker
* Blod sendes inn i ateriene

Diastole
* Hjertet slapper av
* Trykket synker
* Hjertet fylles med blod

1. Isovolumisk sammentrekning (trykket øker)
2. Utsending av blod (trykket synker)
3. Isovolumisk avslapping
4. Diastolisk fylling
  * Tidlig fylling
  * Diastase
  * Etterfylling


##### Blodtrykk

Blod flyter fra høyt til lavt trykk.

Hjertet skiller mellom høyt og lavt trykk med hjerteklaffer.
Ut ifra atrium til ventrikkel.

* Parasympatetisk økning
  * Forhindrer sympatisk aktivitet
  * Senker hjerterytmen og blodtrykk
  * Brukes når vi slapper av, spiser og sover
* Sympatisk økning
  * Forhindrer parasympatetisk aktivitet
  * Økerhjerterytmen og blodtrykket
  * Generell fysisk aktivitet
  * Flight or fight

Sykdom med høyt blodtrykk heter hypertension.


### Blodårer

![Blodårer](figures/blodårer.png)

## Epidemiologi

> Epidemiologi er læren om befolkningshelse, sykdommers forløp, årsak og konsekvens, utbredelse og demografi.

* Finne årsaker til sykdom
  * Miljø
  * Genetisk
  * En rekke andre faktorer
* Evaluere effekten av forebygginger
  * Diet, trening, vaksiner etc.
* Studere sykdomers naturlige årsak
* Generell folkehelse


