---
title: "Oppsumering av TFE4152"
description: "Stort sett formler i faget TFE4152, høsten 2020."
date: 2020-12-16
math: true
---

## Konstander

| Symbol | Verdi | Kommentar |
| ---: | :--- | :---|
| $q$ | $1.602\cdot 10^{-19}\text{C}$ | |
| $k$ | $1.38\cdot 10^{-23}\text{J}\cdot\text{K}^{-1}$ | |
| $n_i$ | $1.1\cdot 10^{16}\text{bærere}/\text{m}^3$ | Ved $T=300\text{ K}$ |
| $\epsilon_0$ | $8.854\cdot 10^{-12}\text{F}/\text{m}$ | |
| $K_{ox (oksid)}$ | $\cong 3.9$ | |
| $K_{Si (silikon)}$ | $\cong 11.8$ | |
{: .table }

## Revers-forspent diode


$$ C_j = \frac{C_{j0}}{\sqrt{1+\frac{V_R}{\Phi_0}}} $$

$$ Q = 2 C_{j0} \Phi_0 \sqrt{1 + \frac{V_R}{\Phi_0}} $$

$$ C_{j0} = \sqrt{\frac{q K_{Si} \epsilon_0}{2 \Phi_0} \frac{N_D N_A}{N_D + N_A}} $$

$$ C_{j0} = \sqrt{\frac{q K_{Si} \epsilon_0 N_D}{2 \Phi_0}}, \text{ hvis } N_A \gg N_D$$

$$ \Phi_0 = \frac{k_B T}{q}\ln\left(\frac{N_A N_D}{n_i}\right) $$

## Normalt forspent diode

$$ I_D = I_S \exp{\frac{V_D}{V_T}} $$

$$ I_D = A_D q n_i^2 \left(\frac{D_n}{L_n N_A}+\frac{D_p}{L_p N_D}\right) $$

$$ V_T = \frac{k T}{q} \approx 26\text{mV, ved } T=300\text{ K} $$

### Småsignal for forspent diode

![Småsignal Diode](figures/diode.svg)

$$r_d = \frac{V_T}{I_D} $$

$$C_T = C_d + C_j $$

$$ C_d = \tau_T \frac{I_D}{V_T} $$

$$ C_j \approx 2 C_{j0} $$

$$ \tau_T = \frac{L_n^2}{D_n} $$


## Transisor i triodeområdet

Dette gjelder for $V_{GS} > V_{tn}$, $V_{DS} \leq V_\text{eff}$.

$$ I_D = \mu C_{ox} \left(\frac{W}{L}\right) \left[(V_{GS} - V_{tn})V_{DS} - \frac{V_{DS}^2}{2}\right] $$

$$V_\text{eff} = V_{GS} - V_{tn} $$ 

$$ V_{tn} = V_{\text{tn-}0} + \gamma\left(\sqrt{V_{SB} + 2\Phi_F} - \sqrt{2\Phi_F}\right) $$

$$ \Phi_F = \frac{k T}{q}\ln\left(\frac{N_A}{n_i}\right) $$

$$ \gamma = \frac{\sqrt{2 q K_{Si} \epsilon_0 N_A}}{C_{ox}} $$

$$ C_{ox} = \frac{K_{ox} \epsilon_0}{t_{ox}} $$


### Småsignal av transistor i triodeområdet

![Transistor i triode](figures/triode.svg)

$$ r_{ds} = \frac{1}{\mu_n C_{ox} \left(\frac{W}{L}\right)V_\text{eff}} $$

$$ C_{gd} = C_{gs} \frac{1}{2}W L C_{ox} + WL_{ov}C_{ox} $$

$$ C_{sb} = C_{db} = \frac{C_{j0} \left(A_s + \frac{WL}{2}\right)}{\sqrt{1 + \frac{V_{sb}}{\Phi_0}}} $$


## Transistor i aktivt område

Dette gjelder bare for $V_{GS} > V_{tn}$, $V_{DS} \geq V_\text{eff}$.

$$ I_D = \frac{1}{2}\mu C_{ox} \left(\frac{W}{L}\right) (V_{GS} - V_{tn})^2 \underbrace{\left[1 + \lambda(V_{DS} - V_\text{eff})\right]}_\text{body-effect} $$

$$ \lambda \propto \frac{1}{L\sqrt{V_{DS} - V_\text{eff} + \Phi_0}} $$

$$ V_{tn} = V_{tn\text{-}0} - \gamma\left(\sqrt{V_{SB} + 2\Phi_F} - \sqrt{2\Phi_F}\right) $$

$$ V_\text{eff} = V_{GS} - V_{tn} = \sqrt{\frac{2 I_D}{\mu_n C_{ox} \frac{W}{L}}} = V_{DS, \text{sat.}} $$


### Småsignal for transistor i aktivt område

![Transistor i aktivt område](figures/active.svg)

$$\begin{aligned}
  g_m &= \mu_n C_{ox} \frac{W}{L} V_\text{eff} \\
      &= \sqrt{2 \mu_n C_{ox} \frac{W}{L} I_D} \\
      &= \frac{2 I_D}{V_\text{eff}}
\end{aligned}
$$

$$
\begin{aligned}
  g_s &= \frac{\gamma g_m}{2 \sqrt{V_{SB} + |2\Phi_F|}}\\
      &\approx 0.2 g_m
\end{aligned}
$$

$$ r_{ds} = \frac{1}{\lambda I_{D\text{, sat.}}} \approx \frac{1}{\lambda I_D} $$

$$\lambda = \frac{k_{r_{ds}}}{2 L \sqrt{V_{DS} - V_\text{eff} + \Phi_0}} $$

$$ k_{r_{ds}} \sqrt{\frac{2 K_{Si} \epsilon_0}{q N_A}} $$

$$ C_{gs} = \frac{2}{3} W L C_{ox} + WL_{ov} C_{ox} $$

$$ C_{gd} = WL_{ov} C_{ox} $$
