---
title: "TFE4130 - 1D Bølger"
description: "2021-01-12"
math: true
---

## Hva er bølger?

Bevegelse av partikler i et medium.

Dispersive gjør at signalet kan endre seg over tid og strekning.
Bølgehastigheten er avhengig av frekvensen.

Ikke-dispersive betyr at bølgen beveger seg med samme hastighet hele tiden, og vil derfor være lik ved alle distanser.

Bølger kan inteferere.

Kurset handler mest om EM-bølger, men mekaniske bølger er enklere.
Det er da kun trykk som beskriver en bølge, mot en vektor med flere komponenter i EM-bølger.

Velocity potential:

$$WIP$$

Velocities at depth:

$$WIP$$

Dispersjonsrelasjonen i havbølger

$$ \omega^2 = gk \tanh kd $$

Der $g$ er tyngdeakserelasjonen, $k$ er bølgetallet og $d$ er dybden.

### Forskjellige typer bølger

Longitudinale: Langsgående bølger.

Transversale: Bølger som beveger seg normalt på propageringsretningen.

### Matematisk

Bølgene er løsningen på bølgelikningen i forskjellige dimensjoner.

$$ \ddot{u} = \frac{\partial^2 u}{\partial t^2} = c^2 \nabla^2 u $$

Denne løses som en partiell differensiallikning.

En ikke-dispersiv hamonisk bølge er definert:

$$ p(x, t) = \hat{p} \sin(\omega t - kx) $$

Der $\omega = 2\pi f$ er frekvensen, $k = \tfrac{\omega}{c}$ er bølgekonstanten, $c$ er propageringshastigheten og $\hat{p}$ er bølgeamplituden.

## Lydbølger

Lydbølger er endringer i lydtrykket rundt standardtrykket/det statiske trykket. 

$$ \underbrace{P_\text{total}(x,t)}_{\text{Lufttrykk, [Pa]}} = \underbrace{P_\text{atm}}_\text{Statisk trykk} + \underbrace{p(x,t)}_\text{endringer i trykket, lyd} $$


Bølgelikningen for lydbølger:

$$ \frac{\partial^2 p}{\partial x^2} - \frac{1}{c^2} \frac{\partial^2 p}{\partial t^2} $$

## Helmholtz' likning

Spesialtilfelle av bølgelikningen når bølgen er en harmonisk svingning.

$$ p(x,t) = p(x) e^{j\omega t} $$

Den tidsavhengige faktoren kan faktoriseres ut av likningen og vi står igjen med en ODE.

$$ \frac{\partial^2 p(x)}{\partial x^2} + k^2 p(x) = 0 $$